internal::type_to_key_function_body_leaf< Input, Output, B > Class Template Reference

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::type_to_key_function_body_leaf< Input, Output, B >:
Collaboration diagram for internal::type_to_key_function_body_leaf< Input, Output, B >:

## Public Member Functions

| type_to_key_function_body_leaf (const B &_body)
Output | operator() (const Input &i) __TBB_override
B | get_body ()
type_to_key_function_body_leaf * | clone () __TBB_override
Public Member Functions inherited from internal::type_to_key_function_body< Input, Output >
virtual | ~type_to_key_function_body ()

## Private Attributes

B | body

## Detailed Description

### template<typename Input, typename Output, typename B>
class internal::type_to_key_function_body_leaf< Input, Output, B >

Definition at line 295 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## type_to_key_function_body_leaf()

template<typename Input , typename Output , typename B >

internal::type_to_key_function_body_leaf< Input, Output, B >::type_to_key_function_body_leaf | ( | const B & | _body | ) |

inline

Definition at line 297 of file _flow_graph_body_impl.h.

: body(_body) { }
internal::type_to_key_function_body_leaf::body
B body
Definition: _flow_graph_body_impl.h:304

## Member Function Documentation

## clone()

template<typename Input , typename Output , typename B >

type_to_key_function_body_leaf* internal::type_to_key_function_body_leaf< Input, Output, B >::clone | ( |  | ) |

inline virtual

Implements internal::type_to_key_function_body< Input, Output >.

Definition at line 300 of file _flow_graph_body_impl.h.

{
return new type_to_key_function_body_leaf< Input, Output, B>(body);
}

References internal::type_to_key_function_body_leaf< Input, Output, B >::body.

## get_body()

template<typename Input , typename Output , typename B >

B internal::type_to_key_function_body_leaf< Input, Output, B >::get_body | ( |  | ) |

inline

Definition at line 299 of file _flow_graph_body_impl.h.

{ return body; }

References internal::type_to_key_function_body_leaf< Input, Output, B >::body.

## operator()()

template<typename Input , typename Output , typename B >

Output internal::type_to_key_function_body_leaf< Input, Output, B >::operator() | ( | const Input & | i | ) |

inline virtual

Implements internal::type_to_key_function_body< Input, Output >.

Definition at line 298 of file _flow_graph_body_impl.h.

{ return body(i); }

References internal::type_to_key_function_body_leaf< Input, Output, B >::body.

## Member Data Documentation

## body

template<typename Input , typename Output , typename B >

B internal::type_to_key_function_body_leaf< Input, Output, B >::body

private

Definition at line 304 of file _flow_graph_body_impl.h.

Referenced by internal::type_to_key_function_body_leaf< Input, Output, B >::clone(), internal::type_to_key_function_body_leaf< Input, Output, B >::get_body(), and internal::type_to_key_function_body_leaf< Input, Output, B >::operator()().

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.